%define upstream_name    Locale-Maketext-Gettext
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Joins the gettext and Maketext frameworks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch


%description

Locale::Maketext::Gettext joins the GNU gettext and Maketext frameworks. It
is a subclass of Locale::Maketext/3 that follows the way GNU gettext works.
It works seamlessly, _both in the sense of GNU gettext and Maketext_. As a
result, you _enjoy both their advantages, and get rid of both their
problems, too._

You start as an usual GNU gettext localization project: Work on PO files
with the help of translators, reviewers and Emacs. Turn them into MO files
with _msgfmt_. Copy them into the appropriate locale directory, such as
_/usr/share/locale/de/LC_MESSAGES/myapp.mo_.

Then, build your Maketext localization class, with your base class changed
from Locale::Maketext/3 to Locale::Maketext::Gettext. That is all.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm t/00-signature.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_bindir}/maketext
%{_mandir}/man3/*
%{_mandir}/man1/maketext.1.*
%{perl_vendorlib}/Locale


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-3.mga3
+ Revision: 369145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 pterjan <pterjan> 1.280.0-2.mga3
+ Revision: 335568
- Fix file list

* Fri Jan 21 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 28695
- removing signature test
- mageia rebuild
- imported package perl-Locale-Maketext-Gettext

